Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.hipergate
Class MetaAttribute

    java.lang.Object
      com.knowgate.dataobjs.DBPersist
          com.knowgate.hipergate.MetaAttribute

All Implemented Interfaces:
  java.io.Serializable, java.util.Map

    public class MetaAttribute

extends DBPersist

Table Meta-Attributes

Meta-Attributes are "virtual columns" that may exists for each table on a per WorkArea basis. This class holds only the meta-attribuyes definitions, not the actual data contained on them.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static short` | `ClassId`

Fields inherited from class com.knowgate.dataobjs.DBPersist
`AllVals, sAuditCls, sAuditUsr, sTransactId`

Constructor Summary
`MetaAttribute()` Create empty Meta-Attribute
`MetaAttribute(JDCConnection oConn, java.lang.String sOwnerGUID, java.lang.String sTableName, java.lang.String sSectionName)` Load Meta-Attribute from database.

Method Summary
`boolean` | `delete(JDCConnection oConn)` Delete meta-Attribute definition and data.
`boolean` | `store(JDCConnection oConn)` Store Meta-Attribute Definition Field pg_attr is automatically assigned to next free value in k_lu_meta_attrs table for current WorkArea and Base Table.

Methods inherited from class com.knowgate.dataobjs.DBPersist
`allcaps, allcaps, changelog, clear, clone, containsKey, containsValue, entrySet, exists, get, get, getAuditClassName, getCreationDate, getDate, getDateFormated, getDateShort, getDateTime, getDateTime24, getDecimal, getDecimalFormated, getDecimalFormated, getDouble, getDoubleFormated, getFloat, getFloatFormated, getInt, getInteger, getIntervalPart, getItemMap, getItems, getMoney, getShort, getSQLDate, getSQLTime, getString, getStringHtml, getStringNull, getTable, getTable, getTableName, getTime, getTimeOfDay, getTimestamp, getUIdFromName, isEmpty, isNull, iterator, keySet, load, load, parseXML, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, putAll, putAll, remove, remove, replace, replace, replace, replace, replace, replace, replace, replace, setAuditTransact, setAuditUser, setCreationDate, size, toLowerCase, toUpperCase, toXML, toXML, toXML, toXML, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### ClassId

    public static final short ClassId

See Also:
  Constant Field Values

Constructor Detail

### MetaAttribute

    public MetaAttribute()

  Create empty Meta-Attribute

### MetaAttribute

    public MetaAttribute(JDCConnection oConn,
                         java.lang.String sOwnerGUID,
                         java.lang.String sTableName,
                         java.lang.String sSectionName)
                  throws java.sql.SQLException

  Load Meta-Attribute from database.

  Parameters:
    `oConn` - Database Connection
    `sOwnerGUID` - GUID of WorkArea to witch the Meta-Attribute belongs.
    `sTableName` - Name of base table
    `sSectionName` - Section Name (emulates a column name on base table).
  Throws:
    `java.sql.SQLException`

Method Detail

### delete

    public boolean delete(JDCConnection oConn)
                   throws java.sql.SQLException,
                          java.lang.NullPointerException

  Delete meta-Attribute definition and data.

  Overrides:
    `delete` in class `DBPersist`
  Parameters:
    `oConn` - Database Connection
  Returns:
    true if register was successfully erased, false if not.
  Throws:
    `java.sql.SQLException`
    `java.lang.NullPointerException` - If base table, workarea or attribute is null

### store

    public boolean store(JDCConnection oConn)
                  throws java.sql.SQLException

  Store Meta-Attribute Definition

  Field pg_attr is automatically assigned to next free value in k_lu_meta_attrs table for current WorkArea and Base Table.

  Overrides:
    `store` in class `DBPersist`
  Parameters:
    `oConn` - Database Connection
  Returns:
    boolean true if register was stored for the first time, false if register already existed.
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD